Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Beginner
57 Views

Unable to build the Media Analytics Plugins (Sorce code related errors)

Hello,

Environment details:
Operating System: Ubuntu-18.04.2
Model Name: Intel(R) Core(TM) 8th Gen i5-8400 CPU @ 2.80GHz (6 Cores)
RAM: 4 GiB DDR4
Intel OWT version: 4.2.1

When I am trying to build the Media Analytics plugins, I am getting the compilation errors that are related to source code. I installed all dependencies like Intel Media SDK, CMake, OpenVino, etc. Please find the below error message partially:

$ cd Release-v4.2.1/analytics_agent/plugins/samples
$ ./build_samples.sh

[ 66%] Linking CXX shared library ../intel64/Release/lib/libcpu_extension.so
[ 66%] Built target ie_cpu_extension
Scanning dependencies of target facedetectionplugin
[ 68%] Building CXX object face_detection_plugin/CMakeFiles/facedetectionplugin.dir/main.cpp.o
/home/chandramouli/Release-v4.2.1/analytics_agent/plugins/samples/face_detection_plugin/main.cpp: In member function ‘virtual InferenceEngine::CNNNetwork FaceDetectionClass::read()’:
/home/chandramouli/Release-v4.2.1/analytics_agent/plugins/samples/face_detection_plugin/main.cpp:151:61: error: ‘InferenceEngine::Data::dims’ is deprecated [-Werror=deprecated-declarations]
     const InferenceEngine::SizeVector outputDims = _output->dims;
                                                             ^~~~
In file included from /opt/intel/openvino_2019.2.242/deployment_tools/inference_engine/include/ie_layers.h:20:0,
                 from /opt/intel/openvino_2019.2.242/deployment_tools/inference_engine/include/inference_engine.hpp:19,
                 from /home/chandramouli/Release-v4.2.1/analytics_agent/plugins/samples/face_detection_plugin/myplugin.h:15,
                 from /home/chandramouli/Release-v4.2.1/analytics_agent/plugins/samples/face_detection_plugin/main.cpp:15:
/opt/intel/openvino_2019.2.242/deployment_tools/inference_engine/include/ie_data.h:46:16: note: declared here
     SizeVector dims;
                ^~~~
/home/chandramouli/Release-v4.2.1/analytics_agent/plugins/samples/face_detection_plugin/main.cpp:151:61: error: ‘InferenceEngine::Data::dims’ is deprecated [-Werror=deprecated-declarations]
     const InferenceEngine::SizeVector outputDims = _output->dims;

Please find the full error messages in this URL: https://pastebin.com/CmSNLt4X

Also, as explained in the Intel official documentation, there is no folder with the name "computer_vision_sdk" in /opt/intel. After installing OpenVino latest versioin ("l_openvino_toolkit_p_2019.2.242.tgz"), I found "openvino" and "openvino_2019.2.242" folders inside the /opt/intel/.

I tried to build the plugins by changing the value of setvars_path variable from "computer_vision_sdk" to ""openvino" and "openvino_2019.2.242" in Release-v4.2.1/analytics_agent/plugins/samples build_samples.sh file. After running ./build_samples.sh, getting the same errors.

Hence, request you to suggest a solution.

Thank you in advance.

Best Regards,
Chandramouli.

Tags (2)
0 Kudos
9 Replies
Highlighted
Beginner
57 Views

Hello Team,

Any update would be appreciated.

Thank you.

Best Regards,
Chandramouli.

0 Kudos
Highlighted
Beginner
57 Views

Hi Chandramouli P, looks like you need to setup OpenVino variables.

Open a terminal:

gedit ~/.bashrc

then add at end of file next line:

source /opt/intel/openvino/bin/setupvars.sh

Close terminal. Next time you open a terminal you will see:

[setupvars.sh] OpenVINO environment initialized

I hope this help you.

0 Kudos
Highlighted
Beginner
57 Views

Hello Jorge,

I have already added as you said. Also, I am getting "OpenVINO environment initialized" message also on terminal. But, getting the errors. Any other suggestion?

Thank you.

Best Regards,
Chandramouli.

0 Kudos
Highlighted
Beginner
57 Views

Hello Team,

Any update would be appreciated.

Thank you.

Best Regards,
Chandramouli.

0 Kudos
Highlighted
Beginner
57 Views

Hello Team,

Any help would be appreciated.

Thank you.

Best Regards,
Chandramouli.

0 Kudos
Highlighted
Beginner
57 Views

Hello Team,

Any update would be appreciated.

Thank you.

Best Regards,
Chandramouli.

0 Kudos
Highlighted
Beginner
57 Views

Hello Team,

Any help would be appreciated.

Thank you.

Best Regards,
Chandramouli.

0 Kudos
Highlighted
57 Views

Hi,Chandramouli, our analytics currently works well with OpenVino 2018 R5, so please install this version on your environment and have a try.

0 Kudos
Highlighted
Beginner
57 Views

Hello Qiujiao,

Thank you for your reply. Sure, As you suggested, I installed and there are no issues as of now.

Thank you, once again.

Best Regards,
Chandramouli.

0 Kudos